# Uses of Interface
io.github.jdbcx.JdbcActivityListener

Packages that use JdbcActivityListener
Package
Description
io.github.jdbcx
io.github.jdbcx.driver
io.github.jdbcx.extension

## Uses of JdbcActivityListener in io.github.jdbcx

Methods in io.github.jdbcx that return JdbcActivityListener
Modifier and Type
Method
Description
`default JdbcActivityListener`
DriverExtension.`createListener(QueryContext context, Connection conn, Properties props)`
Creates a connection listener.

## Uses of JdbcActivityListener in io.github.jdbcx.driver

Classes in io.github.jdbcx.driver that implement JdbcActivityListener
Modifier and Type
Class
Description
`final class`
`DefaultActivityListener`
Methods in io.github.jdbcx.driver that return JdbcActivityListener
Modifier and Type
Method
Description
`protected JdbcActivityListener`
WrappedConnection.`createListener(QueryContext context)`

## Uses of JdbcActivityListener in io.github.jdbcx.extension

Methods in io.github.jdbcx.extension that return JdbcActivityListener
Modifier and Type
Method
Description
`JdbcActivityListener`
CodeQLDriverExtension.`createListener(QueryContext context, Connection conn, Properties props)`
`JdbcActivityListener`
PromptDriverExtension.`createListener(QueryContext context, Connection conn, Properties props)`
`JdbcActivityListener`
PrqlDriverExtension.`createListener(QueryContext context, Connection conn, Properties props)`
`JdbcActivityListener`
ScriptDriverExtension.`createListener(QueryContext context, Connection conn, Properties props)`
`JdbcActivityListener`
ShellDriverExtension.`createListener(QueryContext context, Connection conn, Properties props)`
`JdbcActivityListener`
SqlDriverExtension.`createListener(QueryContext context, Connection conn, Properties props)`
`JdbcActivityListener`
VarsDriverExtension.`createListener(QueryContext context, Connection conn, Properties props)`
`JdbcActivityListener`
WebDriverExtension.`createListener(QueryContext context, Connection conn, Properties props)`